package sample;

/**
 * Created by sebastian on 08.05.17.
 */
public class HallDimens {
    private final int minWidth;
    private final int minHeight;
    private final int maxWidth;
    private final int maxHeight;

    public HallDimens(int minWidth, int minHeight, int maxWidth, int maxHeight) {
        this.minWidth = minWidth;
        this.minHeight = minHeight;
        this.maxWidth = maxWidth;
        this.maxHeight = maxHeight;
    }

    public int getMinWidth() {
        return minWidth;
    }

    public int getMinHeight() {
        return minHeight;
    }

    public int getMaxWidth() {
        return maxWidth;
    }

    public int getMaxHeight() {
        return maxHeight;
    }

    public int getWidth() {
        return maxWidth-minWidth+1;
    }

    public int getHeight() {
        return maxHeight-minHeight+1;
    }

    public String toString() {
        return "mw: "+getMinWidth()+"mh: "+getMinHeight()+"w: "+getWidth()+"h: "+getHeight();
    }
}
